const userInput = prompt("Please enter a number:");

// Перевіряємо, щоб користувач ввів число
if (isNaN(userInput)) {
    console.log("Invalid input");

} else {
    const number = parseInt(userInput); // перетворення введеного користувачем значення з рядкового типу на числовий
    let found = false; // створення змінної, що буде використовуватись для перевірки наявності чисел кратних 5

    for (let i = 0; i <= number; i++) { //проходження циклом від 0 до введеного користувачем числа

        if (i % 5 === 0) { //// Перевіряємо, чи число кратне 5
            console.log(i);
            found = true;
        }
    }

    if (!found) {
        console.log("Sorry, no numbers.");
    }
}




/*
Теоретичні питання

1.Описати своїми словами у кілька рядків, навіщо у програмуванні потрібні цикли.
2.Опишіть у яких ситуаціях ви використовували той чи інший цикл в JS.
3.Що таке явне та неявне приведення (перетворення) типів даних у JS?

1.Цикли використовуються для повторення певного блоку коду декілька разів залежно від заданої умови.
Це дозволяє зменшити кількість коду, який треба написати, а також забезпечити більш ефективну обробку даних
та управління потоком виконання програми.
За допомогою циклів можна обробляти масиви, строки, числа та інші дані,
 що дозволяє створювати більш складні та функціональні програми.

2.Виконання певної кількості разів: у випадках, коли потрібно було виконати певну операцію,
певну кількість разів, цикли дозволяють легко і ефективно здійснити це.

Повторення дій до виконання певної умови: у випадках, коли потрібно виконувати певні дії,
поки не буде досягнута певна умова, цикли дозволяють легко здійснити це.

3.  Явне приведення типів даних в JavaScript відбувається за допомогою вбудованих функцій, таких як:
Number(), String(), Boolean(), parseInt(), parseFloat()
Такі функції приймають значення одного типу даних та повертають значення іншого типу даних,
залежно від того, який аргумент був переданий.

    Неявне приведення типів даних відбувається автоматично в JavaScript
при спробі виконати операції зі значеннями різних типів. Наприклад, якщо до числа додати рядок,
то рядок буде перетворено в число. Або якщо до булевого значення додати число,
то число буде перетворено в булеве значення згідно з правилами приведення типів.
 */